Richard Collyer wrote:
Hello,

When i do pkg_version -v it reports the wrong values.

e.g. glib-2.10.3     <   needs updating (port has 2.12.6)

Now the versions are correct but if I upgrade that port it still thinks that 2.10.3 is installed

The last line of the install text

===>   Registering installation for glib-2.12.6

I've done some googling and portupgrade -f seems to come up but I'm not 100% sure what this does


Is there a command to rebuild the database to the correct version?

Ok. I'm stupid.

Don't run pkg_version -v | grep "<" as you cant see when 2 versions have been installed

Cheers
Richard
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to